<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
   >

    <data>

        <variable
            name="item"
            type="es.verdnatura.presentation.view.feature.ubicador.model.ItemUbicadorVO" />
    </data>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">
        <LinearLayout
            android:id="@+id/item_row_layout"
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/verdnatura_black_5"
            android:paddingLeft="@dimen/pasilleros_margin_main_menu"
            android:paddingRight="@dimen/pasilleros_margin_main_menu"
            android:paddingTop="@dimen/pasilleros_margin_main_menu"
            android:paddingBottom="@dimen/pasilleros_margin_main_menu">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="horizontal"
                android:gravity="center"
                android:layout_marginRight="@dimen/layout_margin_min">
                <androidx.cardview.widget.CardView
                    android:layout_width="@dimen/item_image_width"
                    android:layout_height="@dimen/item_image_width"
                    app:cardCornerRadius="100dp"
                    android:layout_marginRight="@dimen/layout_margin_1">
                    <ImageView
                        android:id="@+id/img_item"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        />
                </androidx.cardview.widget.CardView>
                <LinearLayout
                    android:id="@+id/namelayout"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    style="@style/LayoutClickable">
                    <TextView
                        android:id="@+id/itemfk_text"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:textSize="@dimen/h8"
                        android:textColor="@color/verdnatura_white"
                        android:text="@{item.item}"
                        android:textStyle="bold"/>
                    <TextView
                        android:id="@+id/longname_text"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:textSize="@dimen/h8"
                        android:textColor="@color/verdnatura_white"
                        android:text="@{item.description}"
                        android:ellipsize="end"
                        android:maxLines="1"/>
                </LinearLayout>

            </LinearLayout>
            <LinearLayout
                android:id="@+id/layer_visible"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="2"
                android:orientation="vertical">
                <TextView
                    android:id="@+id/multi_text"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textSize="@dimen/body2"
                    android:textColor="@color/verdnatura_white"
                    android:text="6 x 15"
                    android:ellipsize="end"
                    android:maxLines="1"
                    android:gravity="center"
                    android:textStyle="bold"/>
                <TextView
                    android:id="@+id/visible_text"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textSize="@dimen/h6"
                    android:textColor="@color/verdnatura_pumpkin_orange"
                    android:text="@{item.visible}"
                    android:ellipsize="end"
                    android:maxLines="1"
                    android:gravity="center"
                    android:textStyle="bold"/>
            </LinearLayout>
            <LinearLayout
                android:layout_width="@dimen/item_image_width_min"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <ImageView
                    android:id="@+id/more_img"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:scaleType="center"
                    android:src="@drawable/ic_more_vert_black_24dp" />
            </LinearLayout>


        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/verdnatura_black_9"/>
    </LinearLayout>
</layout>